/*Design Stuff*/
  @import url('https://fonts.googleapis.com/css2?family=Public+Sans:wght@200;400;700&display=swap');

/*Blue: 0020ff
purple: 534299
dark blue: 2b4c9d
red: a11824*/

/* -------- global stuff -------- */
body {
    font-family: 'Public Sans', sans-serif;
	font-size: 16px !important;
	line-height: 26px;
	font-weight: 400;
	background-color: #fff;
    scroll-behavior: smooth;
}
:target:before {
    content: "";
    display: block;
    height: 50px;
    margin: -50px 0 0;
}
h1, h2, h3, h4, h5, h6 {
    font-family: 'Public Sans', sans-serif;
    font-weight: 700;
}
.pointer {
    cursor: pointer;
}
.no-gutters {
    margin-right: -15px;
    margin-left: -15px;
}
img {
    max-width: 100%;
}
iframe {
    width: 100%;
}
a {
    text-decoration: none;
    color: #204499;
    -webkit-transition: all 300ms ease;
    -moz-transition: all 300ms ease;
    -ms-transition: all 300ms ease;
    -o-transition: all 300ms ease;
    transition: all 300ms ease;
}
a:hover {
    color: #a11824 !important;
    -webkit-transition: all 300ms ease;
    -moz-transition: all 300ms ease;
    -ms-transition: all 300ms ease;
    -o-transition: all 300ms ease;
    transition: all 300ms ease;
}
a.btn-primary:hover {
	color: #fff !important;
}
.btn-danger {
    background-color: #a11824 !important;
    border-color: #a11824 !important;
	color: #fff !important;
}
.btn-danger:hover {
    color: #fff !important;
    opacity: 0.7;
}
.btn-primary {
    background-color: #2b4c9d !important;
    border-color: #2b4c9d !important;
}
.btn-secondary {
    background-color: #534299 !important;
    border-color: #534299 !important;
}
.btn-primary:hover {
    color: #fff !important;
    opacity: 0.7;
}
.btn-secondary:hover {
    color: #fff !important;
    opacity: 0.7;
}
hr.short {
    width: 200px;
    border-top: 4px solid #15c0ff;
    background-color: transparent;
    margin: auto;
    opacity: 1;
}
.opacity-90 {
	opacity: 0.9;
}
.text-red {
    color: #a11824 !important;    
}
.text-blue {
    color: #2b4c9d !important;    
}
.bg-red {
    background-color: #a11824 !important;    
}
.bg-blue {
	background-color: #0020ff !important;
}
.bg-dark-blue {
	background-color: #2b4c9d !important;
}
.bg-purple {
    background-color: #534299 !important;
}
.img-thumbnail.bg-dark {
    border: none;
}
.bg-dark2 {
    border: 1px #000 solid;
    background-color: rgba(0,0,0,0.7);
    border-radius: 5px;
}
.bg-dark2 .table-dark {
    background-color: transparent !important;
}
.bg-dark2 .form-control {
    background-color: rgba(0,0,0,0.7);;
    color: #fff;
}
.bg-dark2 .form-select {
    background-color: rgba(0,0,0,0.7);
    color: #fff;
}
.bg-dark2 .form-select option {
    color: #000;
    background-color: #fff;
}
.bg-dark3 {
    background-color: #222;
}
.bg-dark4 {
    background-color: #111;
}
.bg-image {
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
}
.bg-image-fixed {
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
    background-attachment: fixed;
}
.bg-hero {
    height: 400px;
    min-height: 80vh
}
.bg-clear {
    background-color: rgba(255,255,255,0.9);
}

.header-outline {
    text-shadow: 1px 0px #000, 0px 1px #000, 0px -1px #000, -1px 0px #000;
}
.header-outline-light {
    text-shadow: 1px 0px #333, 0px 1px #333, 0px -1px #333, -1px 0px #333;
}
.header-outline-white {
    text-shadow: 1px 0px #fff, 0px 1px #fff, 0px -1px #fff, -1px 0px #fff;
}

@media (max-width: 1200px) {
    .display-4 {
        font-size: 2.5rem !important;
    }
}
.bg-fixed {
    background-attachment: fixed;
}

#hero {
  position: relative;
  background-color: black;
  height: calc(80vh - 72px);
  min-height: 25rem;
  width: 100%;
  overflow: hidden;
}
.pan-background {
	position: absolute;
    width: 100%;  /* Full viewport width */
    height: 100%; /* Full viewport height */
	background-position: center;
	background-repeat: no-repeat;
	background-size: 150%;
	overflow: hidden;
    animation: panLeftRight 90s infinite alternate; /* 10s duration, infinite loop, pan left and right */
	z-index: 0;
}
@keyframes panLeftRight {
    0% {
        background-position: 0% center; /* Start from the left */
    }
    100% {
        background-position: 100% center; /* End on the right */
    }
}

@media (max-width: 750px) {
.pan-background {
	background-size: cover;
}
}
.social i {
    font-size: 40px;
    padding-right: 7px;
    padding-left: 7px;
}


/* -------- menu -------- */
.navbar-brand img {
    max-height: 100px;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
@media (max-width: 1200px) {
    .navbar-brand {
        max-height: 60px;
        max-width: 70%;
    }
}
.navbar {
    font-size: 18px;
    font-family: 'Kanit', sans-serif;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
.navbar-light .navbar-nav .nav-link {
    color: #000;
    -webkit-transition: all 200ms ease;
    -moz-transition: all 200ms ease;
    -ms-transition: all 200ms ease;
    -o-transition: all 200ms ease;
    transition: all 200ms ease;
}
.navbar-light .navbar-nav .nav-link:focus, .navbar-light .navbar-nav .nav-link:hover {
    color: 1px solid #204499;
    -webkit-transition: all 200ms ease;
    -moz-transition: all 200ms ease;
    -ms-transition: all 200ms ease;
    -o-transition: all 200ms ease;
    transition: all 200ms ease;
}
.navbar-light .navbar-nav .nav-link.active {
    color: #204499 !important;
    outline: none;
}
.nav-item {
    margin-right: 5px;
    margin-left: 5px;
}
.nav-link {
}
@media (min-width: 1200px) {
.navbar-light .dropdown-menu {
    margin-top: 32px !important;
    border-radius: 0 0 .25rem .25rem;
}
/* Initial state of the dropdown menu, hidden */
.navbar-light .dropdown-menu {
  display: block;
  transform-origin: top;
  transform: scaleY(0);
  opacity: 0;
  transition: transform 0.5s ease, opacity 0.5s ease;
}

/* State of the dropdown menu when toggled on, visible */
.navbar-light .dropdown-menu.show {
  transform: scaleY(1);
  opacity: 1;
}
}

/* Apply the underline effect only to non-dropdown links */
.navbar-light .nav-link:not(.dropdown-toggle) {
  position: relative;
  display: inline-block;
  text-decoration: none;
}

/* The pseudo-element for non-dropdown links */
.navbar-light .nav-link:not(.dropdown-toggle)::after {
  content: '';
  display: block;
  width: 0;
  height: 3px;
  background: #2b4c9d;
  transition: width 0.5s ease-in-out;
  position: absolute;
  bottom: -10px;
  left: 0;
}

/* Change the hover state to target only non-dropdown links */
.navbar-light .nav-link:not(.dropdown-toggle):hover::after {
  width: 100%;
}

/* If needed, adjust the dropdown link styles separately */
.navbar-light .dropdown-toggle::after {
  /* Your styles for the caret, ensuring it does not overlap with the underline */
}
.navbar-dark .navbar-nav .nav-link {
    position: relative;
    color: #fff !important;
    outline: none;
    padding-bottom: 3px;
}
.navbar-dark .nav-link::after {
  content: '';
  display: block;
  width: 100%;
  height: 3px; /* Height of the bottom border */
  background: white; /* Color of the bottom border */
  opacity: 0; /* Start with a transparent bottom border */
  transition: opacity 0.2s ease; /* Adjust '0.5s' to control fade duration */
  position: absolute;
  bottom: 0;
  left: 0;
}
.navbar-dark .nav-link:hover::after, .navbar-dark .nav-link.active::after, .navbar-dark .nav-link:focus::after {
  opacity: 1; /* Fully visible bottom border on hover */
}

/* -------- gallery -------- */
.card {
	overflow: hidden;
}
.card-img-top {
    overflow: hidden;
}
img.card-img-top {
	transition: transform .5s ease;
}
img.card-img-top:hover {
	transform: scale(1.1);
}
.hero-card {
	color: #fff !important;
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	border-radius: 20px;
	min-height: 250px;
    border: 1px solid #fff;
}
.hero-card:hover {	
}
.hero-card .card-body {
	background-image: linear-gradient(to bottom, rgba(255, 255, 255, 1) 0%, rgba(0, 0, 0, 0.1) 75%, rgba(0, 0, 0, 0.1) 100%);
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
.hero-card .card-body:hover {
	transform: scale(1.1);
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}

/* -------- hero -------- */
.hero {
    min-height: 80vh;
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	background-image: url(../images/hero.jpg);
}
/*faq***************************************/ 
#faq i {
    transition-duration: 0.25s;
    transform: rotate(-180deg);
}
#faq .collapsed i {
    transform: rotate(0deg);
}

/*Reviews *****************************/
#reviewCarousel .color-gold, .color-gold {
    color: #FFDD00;
}
#reviewCarousel .carousel-control-prev-icon, #reviewCarousel .carousel-control-next-icon {
    background-image: none;
    color: #ccc !important;
    font-size: 30px;
}
/*Light BG ***************************/
.bg-light-img {
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, .9) 50%, rgba(255, 255, 255, .9) 50.5%, rgba(255, 255, 255, 0.8) 100%), url(../images/light-bg.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
.grid-bg {
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, .8) 50%, rgba(255, 255, 255, .8) 50.5%, rgba(255, 255, 255, 0.6) 100%), url(../images/grid-bg.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

/*Detailing******************************/

.about2 {
    height: calc(80vh - 75px);
    min-height: 25rem;
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.5) 60%, rgba(0, 0, 0, 0.6) 80%, rgba(0, 0, 0, 0.6) 100%), url(../images/about.jpg);
}
.stripe-light-bottom-height {
    height: 100%;
}
@media (min-width: 1200px) {
.stripes-light {
    background: linear-gradient(-7deg, #e8e9ea 49.5%, #fff 50%);
    background-size: 100% 30%;
    background-position: bottom;
    background-repeat: no-repeat;
}
.stripe-white-top {
    height: 175px;
    width: 100%;
    background-image: linear-gradient(-7deg, rgba(0,0,0,0) 49.5%, #fff 50%);
    background-size: 100%;
    background-position: bottom;
    background-repeat: no-repeat;
}
.stripe-white-bottom {
    height: 175px;
    width: 100%;
    background-image: linear-gradient(-7deg, #fff 49.5%, rgba(0,0,0,0) 50%);
    background-size: 100%;
    background-position: bottom;
    background-repeat: no-repeat;
}
.stripe-light-bottom-height {
    height: calc(100% - 125px);
}
.stripe-light-bottom {
    height: 125px;
    width: 100%;
    background-image: linear-gradient(4deg, #f8f9fa 49.5%, rgba(0,0,0,0) 50%);
    background-size: 100%;
    background-position: bottom;
    background-repeat: no-repeat;
}
.stripe-light-top {
    height: 125px;
    width: 100%;
    background-image: linear-gradient(4deg, rgba(0,0,0,0) 49.5%, #f8f9fa 50%);
    background-size: 100%;
    background-position: bottom;
    background-repeat: no-repeat;
}
.stripe-dark-bottom {
    height: 125px;
    width: 100%;
    background-image: linear-gradient(4deg, rgb(33, 37, 41) 49.5%, rgba(0,0,0,0) 50%);
    background-size: 100%;
    background-position: bottom;
    background-repeat: no-repeat;
}
.stripe-dark-top {
    height: 125px;
    width: 100%;
    background-image: linear-gradient(4deg, rgba(0,0,0,0) 49.5%, rgb(33, 37, 41) 50%);
    background-size: 100%;
    background-position: bottom;
    background-repeat: no-repeat;
}
.stripe-blue-bottom {
    height: 125px;
    width: 100%;
    background-image: linear-gradient(-2deg, rgb(48, 48, 148) 49.5%, rgba(0,0,0,0) 50%);
    background-size: 100%;
    background-position: bottom;
    background-repeat: no-repeat;
}
.stripe-blue-top {
    height: 125px;
    width: 100%;
    background-image: linear-gradient(-2deg, rgba(0,0,0,0) 49.5%, rgb(48, 48, 148) 50%);
    background-size: 100%;
    background-position: bottom;
    background-repeat: no-repeat;
}
}
/* -------- footer -------- */
#footer a {
    color: #fff;    
}
#footer i {
    color: #2b4c9d;
}
#footer ul li {
    padding-left: .5em;
}
#footer ul li::marker {
    content: "\f058"; /* FontAwesome Unicode */
    font-family: FontAwesome;
    color: #2b4c9d;
}
#breadcrumbs {
    color: #fff;
    font-size: 14px;
}
#breadcrumbs a {
    color: #fff;
}
.table-sm {
    font-size: 9px;
}
.table-sm > :not(caption) > * > * {
    padding: 0 0 0 5px;
    
}